#!/bin/sh
###
# Place the dbus init script.
###
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.messagebus.new
config etc/dbus-1/session.conf.new
config etc/dbus-1/system.conf.new

###
# Create dbus' user:group if they don't exist.
###
group_exists=`grep ^messagebus etc/group`
if [[ "${group_exists}" == "" ]]; then
	groupadd messagebus
fi
user_exists=`grep ^messagebus etc/passwd`
if [[ "${user_exists}" == "" ]]; then
	useradd -g messagebus -d / -c "Dbus" -s /bin/false messagebus
fi

dbus-uuidgen --ensure
( cd usr/lib ; rm -rf libdbus-1.so.3 )
( cd usr/lib ; ln -sf libdbus-1.so.3.2.0 libdbus-1.so.3 )
( cd usr/lib ; rm -rf libdbus-1.so )
( cd usr/lib ; ln -sf libdbus-1.so.3.2.0 libdbus-1.so )
